Fund Transfer to Store
curl --request POST \
--url https://nini.monieswitch.com/branch/terminal/debit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pin": "2222",
"amount": 500,
"terminalId": "28cc1855-2ff4-4a40-9df2-32aefb06eada",
"narration": "First terminal transfer"
}
'import requests
url = "https://nini.monieswitch.com/branch/terminal/debit"
payload = {
"pin": "2222",
"amount": 500,
"terminalId": "28cc1855-2ff4-4a40-9df2-32aefb06eada",
"narration": "First terminal transfer"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pin: '2222',
amount: 500,
terminalId: '28cc1855-2ff4-4a40-9df2-32aefb06eada',
narration: 'First terminal transfer'
})
};
fetch('https://nini.monieswitch.com/branch/terminal/debit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Wallet transfer successfully completed.",
"data": {
"paidAt": "2025-01-02T12:25:42.389Z",
"reference": "zOBF4xQTZP3OWmup39DcTt3Izn4Z1s0avcta",
"totalAmount": 80,
"charges": 0,
"status": "SUCCESS",
"amount": 80,
"merchantId": "bb80715c-dcbc-460c-a8e4-203b63b03fce",
"walletId": "51d7b035-7317-4578-868e-d25eed1b5bf7",
"category": "TERMINAL_TO_STORE",
"terminalId": "28cc1855-2ff4-4a40-9df2-32aefb06eada",
"terminalName": "Lambe 01",
"storeId": "9ab67f41-10c9-4f52-adfc-31f460980966",
"toWalletId": "1e04b3a0-eabd-48b4-b5ba-91ec1d15a103",
"narration": "First terminal transfer",
"storeName": "Lambe Shop",
"fromWalletId": "51d7b035-7317-4578-868e-d25eed1b5bf7",
"beneficiaryBankName": "Xpress Wallet",
"beneficiaryBankCode": "999270",
"providerWalletId": "46e55be2-0086-4d4b-973a-5f69c1a226c1",
"beneficiaryAccountNumber": "4478164596",
"beneficiaryAccountName": "Neyosoft/Lambe Shop",
"originatorBankCode": "999270",
"originatorBankName": "Xpress Wallet",
"originatorAccountName": "Neyosoft/Lambe 01",
"originatorAccountNumber": "4446474425",
"description": "₦80.00 transferred to Terminal(Lambe 01)",
"transactionId": "af7b9a15-10f7-4949-93fe-046b642aece2"
}
}{
"status": false,
"message": "There is no sufficient balance to complete this transaction"
}Branches
Fund Transfer to Store
POST
/
branch
/
terminal
/
debit
Fund Transfer to Store
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I